grid_options_defaults_dict = {
    # general
    "amt_cores": 1,  # total amount of cores used to evolve the population
    "verbose": 0,  # Level of verbosity of the simulation
    # Output dir
    # "output_dir":
    # Custom logging
    "C_auto_logging": None,  # Should contain a dictionary where the kes are they headers and the values are lists of parameters that should be logged. This will get parsed by autogen_C_logging_code in custom_loggion_functions.py
    "C_logging_code": None,  # Should contain a string which holds the logging code.
    "custom_logging_func_memaddr": -1,  # Contains the custom_logging functions memory address
    # Store pre-loading:
    "store_memaddr": -1,  # Contains the store object memory adress, useful for preloading. defaults to -1 and isnt used if thats the default then.
    # Log args: logging of arguments
    "log_args": 0,  #
    "log_args_dir": "/tmp/",
    # Grid variables: instructions to generate the values of the parameters
    "grid_variables": {},
    ##
    # return_array_refs=>1, # quicker data parsing mode
    # sort_args=>1,
    # save_args=>1,
    # nice=>'nice -n +20',  # nice command e.g. 'nice -n +10' or ''
    # timeout=>15, # seconds until timeout
    # log_filename=>"/scratch/davidh/results_simulations/tmp/log.txt",
    # # current_log_filename=>"/scratch/davidh/results_simulations/tmp/grid_errors.log",
}
